﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Telerik.OpenAccess;
using Telerik.OpenAccess.SPI;

namespace SchemaReader
{
    class Program
    {
        static void Main(string[] args)
        {
            BackendConfiguration backendConfiguration = new BackendConfiguration()
            {
                Backend = "MsSql",
                Driver = "genericADO2",
                ProviderName = "System.Data.SqlClient"
            };

            string connectionString = "Data Source=.\\sqlexpress;Initial Catalog=BookLibrary;Integrated Security=True";

            OpenAccessSchemaReader schemaReader = new OpenAccessSchemaReader(backendConfiguration, connectionString);

            var schemas = schemaReader.GetSchemas();
            SchemaReadParameters parameters = new SchemaReadParameters(schemas);

            string rlinqContent = schemaReader.ReadSchema(parameters);
        }
    }
}
